LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTypeProvider Interface Referencepublished

interface to get information about the types (usually interface types) supported by an object. More...

`import"XTypeProvider.idl";`

Inheritance diagram for XTypeProvider:

## Public Member Functions
sequence< type > | getTypes ()
| returns a sequence of all types (usually interface types) provided by the object. More...
sequence< byte > | getImplementationId ()
| Obsolete unique identifier. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

interface to get information about the types (usually interface types) supported by an object.

Developers Guide
  Writing UNO Components - Core Interfaces to Implement
  Advanced UNO - UNO Reflection API
  Writing UNO Components - XTypeProvider

## Member Function Documentation

## ◆ getImplementationId()

sequence< byte > getImplementationId | ( |  | ) |

Obsolete unique identifier.

Originally returned a sequence of bytes which, when non-empty, was used as an ID to distinguish unambiguously between two sets of types, for example to realise hashing functionality when the object is introspected. Two objects that returned the same non-empty ID had to return the same set of types in getTypes(). (If a unique ID could not be provided, this method was always allowed to return an empty sequence, though).

Deprecated:
  This feature should no longer be used, and implementations are encouraged to always return an empty sequence.

## ◆ getTypes()

sequence< type > getTypes | ( |  | ) |

returns a sequence of all types (usually interface types) provided by the object.

Attention
  If the object aggregates other objects the sequence also has to contain all types supported by the aggregated objects.

The documentation for this interface was generated from the following file:

- com/sun/star/lang/XTypeProvider.idl